# $Revision: 1.122 $, $Date: 2006/11/18 18:37:47 $
# NOTE: if /dev/shm is mounted, it cannot be mounted with noexec
#
# Conditional build:
%bcond_with	static		# link statically
%bcond_with	AC
%bcond_without	x		# X support
#
Summary:	A DOS emulator
Summary(de):	DOS-Emulator
Summary(es):	Emulador DOS
Summary(fr):	Emulateur DOS
Summary(pl):	Emulator DOS-a
Summary(pt_BR):	Emulador DOS
Summary(tr):	DOS yknmcs
Name:		dosemu
Version:	1.3.4
Release:	1
License:	GPL v2
Group:		Applications/Emulators
Source0:	http://dl.sourceforge.net/dosemu/%{name}-%{version}.tgz
# Source0-md5:	4fbfdc50ea86d860dd9cea59ea7f4b47
#Source2:	%{name}-sys.tar.gz
Source3:	%{name}-PRZECZYTAJ_TO
Source4:	%{name}-README.PLD
Source5:	%{name}.desktop
Source6:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
# Source6-md5:	7a8abf5c656e6b99bdd03a4783751895
Patch0:		%{name}-man-pages.patch
Patch1:		%{name}-make-new.patch
Patch2:		%{name}-%{name}_conf.patch
Patch3:		%{name}-doSgmlTools.patch
Patch4:		%{name}-makehtml.patch
URL:		http://www.dosemu.org/
BuildRequires:	SDL-devel
%if %{with x}
%if !%{with AC}
BuildRequires:	xorg-lib-libX11-devel
%{?with_static:BuildRequires:	xorg-lib-libX11-static}
%endif
%if %{with AC}
BuildRequires:	X11-devel
%{?with_static:BuildRequires:	X11-static}
%endif
%endif
BuildRequires:	autoconf >= 2.57
BuildRequires:	bin86
BuildRequires:	bison
BuildRequires:	docbook-dtd30-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	flex
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	gpm-devel
BuildRequires:	lynx
BuildRequires:	openjade
BuildRequires:	perl
BuildRequires:	sgml-tools
BuildRequires:	slang-devel
%{?with_static:BuildRequires:	slang-static}
BuildRequires:	unzip
BuildRequires:	util-linux
Obsoletes:	xdosemu
Conflicts:	dosemu-freedos-minimal < 2.0.33
Conflicts:	kernel < 2.0.28
Conflicts:	mtools < 3.6
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_dosemudir	/var/lib/dosemu
%define		specflags	-fomit-frame-pointer

%description
Dosemu is a DOS emulator. Once you've installed dosemu, start the DOS
emulator by typing in the "dos" command.

You need to install dosemu if you use DOS programs and you want to be
able to run them on your GNU/Linux system. You may also need to
install the dosemu-freedos-* packages.

%description -l pl
Dosemu to Emulator systemu DOS. Po zainstalowaniu moesz go uruchomi
komend "dos".

Jeli korzystasz z dosowych programw i chciaby je uruchamia na
twoim linuksowym systemie zainstaluj dosemu. Moesz te potrzebowa
pakietw dosemu-freedos-*.

%description -l pt_BR
Essa  uma verso do emulador DOS que foi projetada para rodar em
sesses X Window. Oferece suporte para grficos VGA bem como suporte
para mouse.

%package utils
Summary:	Utilities for dosemu
Summary(pl):	Programy pomocnicze do dosemu
Group:		Applications/Emulators
Requires:	%{name} = %{version}-%{release}

%description utils
Utilities for dosemu: dexeconfig, hdinfo, mkhdimage, mkfatimage16.

%description utils -l pl
Programy pomocnicze dla dosemu: dexeconfig, hdinfo, mkhdimage,
mkfatimage16.

%package SDL
Summary:	SDL plugin for dosemu
Summary(pl):	Wtyczka SDL dla dosemu
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description SDL
SDL plugin for dosemu.

%description SDL -l pl
Wtyczka SDL dla dosemu.

%package X
Summary:	X plugin for dosemu
Summary(pl):	Wtyczka X dla dosemu
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description X
X plugin for dosemu.

%description X -l pl
Wtyczka X dla dosemu.

%prep
%setup -q -a6
#sh tmp/do_patch
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
OPTFLAGS="%{rpmcflags}"; export OPTFLAGS

./mkpluginhooks enable plugin_keyboard off plugin_kbd_unicode on \
plugin_extra_charset on plugin_term on plugin_translate on plugin_demo off

%{__autoconf}
# configure2_13 must be used though because of ./default-configure

# non-X version
%configure2_13 \
	%{?with_static:--enable-linkstatic} \
	--enable-new-intcode \
	--enable-aspi \
	%{!?with_x:--without-x}

%{__make} \
	WAIT=no

%{__make} -C man
mv -f man/dosemu.bin.1 man/dosemu.1
echo '.so dosemu.1' > man/dos.1
mv -f man/ru/dosemu.bin.1 man/ru/dosemu.1
echo '.so dosemu.1' > man/ru/dos.1

mv -f pl/man1/dos.1 pl/man1/dosemu.1
echo '.so dosemu.1' > pl/man1/dos.1
echo '.so dosemu.1' > pl/man1/xdosemu.1
echo '.so dosemu.1' > pl/man1/dosdebug.1

# documentation
%{__make} -C src/doc/DANG html
%{__make} -C src/doc/HOWTO html
%{__make} -C src/doc/README html

find src/doc -name "*.html" -exec cp -f '{}' doc/ ';'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_mandir}/{pl,ru}/man1} \
	$RPM_BUILD_ROOT%{_dosemudir}/bootdir/{dosemu,freedos/doc/fdkernel} \
	$RPM_BUILD_ROOT%{_libdir}/dosemu

#%%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT

install bin/midid $RPM_BUILD_ROOT%{_bindir}/midid
install bin/dosemu.bin $RPM_BUILD_ROOT%{_bindir}/dosemu
ln -sf dosemu $RPM_BUILD_ROOT%{_bindir}/dos
%if %{with x}
ln -sf dosemu $RPM_BUILD_ROOT%{_bindir}/xdos
ln -sf dosemu $RPM_BUILD_ROOT%{_bindir}/xdosemu
ln -sf dosemu $RPM_BUILD_ROOT%{_bindir}/xdosexec
%endif

install bin/libplugin*.so  $RPM_BUILD_ROOT%{_libdir}/dosemu

install bin/{dosdebug,mkfatimage16} $RPM_BUILD_ROOT%{_bindir}
install src/tools/periph/{dexeconfig,hdinfo,mkhdimage} $RPM_BUILD_ROOT%{_bindir}
ln -sf dos $RPM_BUILD_ROOT%{_bindir}/dosexec

install etc/dosemu.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
install etc/dosemu.users.example $RPM_BUILD_ROOT%{_sysconfdir}/dosemu.users
install etc/global.conf $RPM_BUILD_ROOT%{_dosemudir}/global.conf
install etc/dosemu.conf $RPM_BUILD_ROOT%{_sysconfdir}/dosemu.conf

install man/{dosemu.1,dosdebug.1,xdosemu.1,dos.1,mkfatimage16.1} $RPM_BUILD_ROOT%{_mandir}/man1
install pl/man1/{dosemu.1,dosdebug.1,xdosemu.1,dos.1} $RPM_BUILD_ROOT%{_mandir}/pl/man1
install man/ru/{dosemu.1,dosdebug.1,xdosemu.1,dos.1,mkfatimage16.1} $RPM_BUILD_ROOT%{_mandir}/ru/man1

install commands/*.com $RPM_BUILD_ROOT%{_dosemudir}/bootdir/dosemu
install commands/*.sys $RPM_BUILD_ROOT%{_dosemudir}/bootdir/dosemu
cp %{SOURCE3} PRZECZYTAJ_TO
cp %{SOURCE4} README.PLD
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}

rm -f doc/{configuration,dosemu.lsm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc QuickStart COPYING ChangeLog* doc/* README.PLD
%lang(pl) %doc PRZECZYTAJ_TO
%dir %{_dosemudir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dosemu.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dosemu.users
%config(noreplace) %verify(not md5 mtime size) %{_dosemudir}/global.conf
%attr(755,root,root) %{_bindir}/dos
%attr(755,root,root) %{_bindir}/dosdebug
%attr(755,root,root) %{_bindir}/dosemu
%attr(755,root,root) %{_bindir}/dosexec
%attr(755,root,root) %{_bindir}/midid
%dir %{_libdir}/dosemu
%{_libdir}/dosemu/libplugin_gpm.so
%{_libdir}/dosemu/libplugin_term.so
%dir %{_dosemudir}/bootdir
%dir %{_dosemudir}/bootdir/dosemu
%{_dosemudir}/bootdir/dosemu/*
%{_mandir}/man1/d*
%lang(pl) %{_mandir}/pl/man1/d*
%lang(ru) %{_mandir}/ru/man1/d*
%{_pixmapsdir}/dosemu.xpm
%if %{with x}
%attr(755,root,root) %{_bindir}/xdos*
%{_mandir}/man1/xdosemu.1*
%lang(pl) %{_mandir}/pl/man1/xdosemu.1*
%lang(ru) %{_mandir}/ru/man1/xdosemu.1*
%{_desktopdir}/dosemu.desktop
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dexeconfig
%attr(755,root,root) %{_bindir}/hdinfo
%attr(755,root,root) %{_bindir}/mkhdimage
%attr(755,root,root) %{_bindir}/mkfatimage16
%{_mandir}/man1/mkfatimage16.1*
%lang(ru) %{_mandir}/ru/man1/mkfatimage16.1*

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dosemu/libplugin_sdl.so

%if %{with x}
%files X
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dosemu/libplugin_X.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dosemu.spec,v $
Revision 1.122  2006/11/18 18:37:47  pascalek
- updated to 1.3.4

Revision 1.121  2006/11/13 14:54:48  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.120  2006/10/20 05:58:31  pascalek
- updated to 1.3.3.1 svn, AC bcond

Revision 1.119  2006/01/10 18:27:35  qboosh
- added /dev/shm note (coflicts with noexec shm)

Revision 1.118  2006/01/10 14:55:21  qboosh
- package plugins (X and sdl in subpackages)
- killed xdosemu subpackage (X interface is a plugin now)

Revision 1.117  2005/12/28 11:41:23  witekfl
- updated to 1.3.3

Revision 1.116  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.115  2005/12/06 11:44:11  witekfl
- bcond without x
- BR: docbook-style-dsssl

Revision 1.114  2005/06/21 20:04:22  witekfl
- Rel 1

Revision 1.113  2005/06/08 18:40:35  witekfl
- updated to 1.3.2

Revision 1.112  2005/01/02 23:52:14  havner
- rel 1

Revision 1.111  2004/12/17 21:25:22  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.110  2004/10/29 14:34:57  paladine
- pl fixes

Revision 1.109  2004/10/01 09:53:56  paladine
- rel 0.2 for fixed desktop file

Revision 1.108  2004/08/24 13:36:56  pascalek
- Updated to 1.3.1

Revision 1.107  2004/03/25 16:52:40  pascalek
- Release: 0.2
- bcond with linux26
- patch for non existed /proc/net/ipx_route

Revision 1.106  2004/03/14 23:03:30  qboosh
- versioned provide in xdosemu
- Conflicts with dosemu-freedos-minimal without command.com (doesn't work)

Revision 1.105  2004/03/10 05:24:30  witekfl
- update to development release 1.3.0
- xdos is back (it automatically run X version)
- rel 0.1

Revision 1.104  2004/03/09 05:12:53  witekfl
- Update to 1.2.1 using patchset

Revision 1.103  2004/02/28 09:56:29  witekfl
- update to 1.2.0.1 using patchset

Revision 1.102  2004/02/01 17:47:58  qboosh
- updated man_pages and dosemu_conf patches
- follow original binaries naming scheme (dosemu/xdosemu),
  only pure version without X support remains as "dos"
- updated .desktop and READMEs, new-style bcond, release 1

Revision 1.101  2004/01/22 10:31:43  qboosh
- removed md5 from non-existing Source1

Revision 1.100  2004/01/22 10:29:51  witekfl
- Upgrade to 1.2.0

Revision 1.99  2004/01/04 21:48:24  ankry
- pl fixes

Revision 1.98  2003/12/28 21:41:07  migo
- added patch to fix problem running on 2.6 kernel

Revision 1.97  2003/10/24 09:57:00  gotar
- moved -fomit-frame-pointer to specflags

Revision 1.96  2003/09/05 20:31:04  qboosh
- removed obsolete fix and gcc33 patches

Revision 1.95  2003/09/01 21:34:43  arekm
- update to patch version 7

Revision 1.94  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.93  2003/07/24 12:19:19  adamg
- updated to 1.1.5.6

Revision 1.92  2003/07/19 19:00:01  qboosh
- up to 1.1.5 p5
- updated man-pages,make-new patches, removed obsolete gcc33 patch
- added fix patch (compilation error if no X_GRAPHICS)

Revision 1.91  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.90  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.89  2003/05/25 05:46:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.88  2003/05/18 15:49:09  qboosh
- patchset 15
- removed obsolete nox patch, updated make-new,man-pages patches
- added gcc33 patch (for ELF detection in gcc 3.3's specs)
- moved mkfatimage16(1) manual to proper package

Revision 1.87  2003/03/28 10:30:03  qboosh
- updated man-pages,make-new,dosemu_conf patches
- removed obsolete parser-buf patch
- BR: autoconf 2.57

Revision 1.86  2003/02/28 10:07:45  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.85  2003/02/15 16:34:10  juandon
- some installation fixes
- Release 0.2

Revision 1.84  2003/02/15 14:26:45  juandon
- update to 1.1.4.13
- commented out some patches
- Release 0.1

Revision 1.83  2003/01/31 13:43:52  qboosh
- removed Requires: dos - one may want to use DOS other than freedos

Revision 1.82  2003/01/26 01:36:43  qboosh
- merged from DEVEL, updated to 1.1.4
- patches MFD: mfs-pts,Oacute,doSgmlTools,dont_build_dvi
- patches not merged from DEVEL (obsolete): 1.1-global.conf
- renamed 1.0.2-man-pages patch to man-pages, updated
- renamed 0.98.1-security patch to parser-buf, updated
- updated make-new,dosemu_conf patches
- removed obsolete 1.0.2.1,Polish_keyboard,rawkeyboard-console,comcom,alt224,
  global.conf-xdos and pmstack.diff,c_run_irqs.diff patches

Revision 1.81  2003/01/12 13:09:53  juandon
- added util-linux to BR

Revision 1.80  2002/12/02 22:08:28  ankry
- pl Summary/description fixes
- adapterized

Revision 1.79  2002/06/30 11:47:26  adgor
- midid daemon included

Revision 1.78  2002/06/25 22:22:05  adgor
- Directory %{_applnkdir}/System added to %%install

Revision 1.77  2002/06/25 13:14:03  ankry
- added applnk icon from DEVEL and some (commented out) doc changes
- release 18, STBR for buildlog

Revision 1.76  2002/06/25 12:42:53  ankry
- stable version back on head; devel on DEVEL, nfy

Revision 1.75.2.1  2002/11/04 16:10:33  juandon
- added patchset
- some fixes
- Release 2

Revision 1.75  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.74  2002/06/22 14:24:02  ankry
- fixed previous fix

Revision 1.73  2002/06/22 13:59:54  ankry
- replaced source0 URL by a working one (ftp://)

Revision 1.72  2002/06/21 19:43:22  juandon
- development release of dosemu 1.1.3.2
- added some recent patches
- added desktop file
- docs in HTML
- commented out BR: dos

Revision 1.71.2.2  2002/06/22 13:55:19  ankry
- fixed also URL for patch0

Revision 1.71.2.1  2002/06/22 13:49:20  ankry
- switched source0 URL to a working one at sourceforge

Revision 1.71  2002/06/06 08:55:27  qboosh
- BR: autoconf

Revision 1.70  2002/05/25 21:41:13  qboosh
- new %%doc

Revision 1.69  2002/05/21 23:12:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.68  2002/05/14 21:40:01  juandon
- added patch c_run_irqs.diff
- Release 17
- STBR

Revision 1.67  2002/05/14 15:36:38  juandon
- added patch for global.conf, now xdos works better than before ;-)
- TODO: add .desktop file

Revision 1.66  2002/05/10 20:05:08  juandon
- added comcom.patch
- Rel 16
- STBR

Revision 1.65  2002/04/26 11:22:34  jack
- s/GPLv2/GPL\ v2/

Revision 1.64  2002/04/25 16:13:25  arturs
fixed a small typo

Revision 1.63  2002/04/24 08:54:39  juandon
-added README files

Revision 1.62  2002/04/08 21:33:27  juandon
- dosnet moved to dosnet.spec
- minimal dos moved to separate package
- added Requires: dos

Revision 1.61  2002/04/07 19:31:26  juandon
- upgrade rawkeyboard.patch

Revision 1.60  2002/04/07 16:50:41  juandon
- added two patches
- upgrade to newer FreeDos kernel
- Rel 14 STBR

Revision 1.59  2002/04/03 06:23:32  kloczek
- release 13.

Revision 1.58  2002/04/02 18:33:43  juandon
- added alt224.patch

Revision 1.57  2002/04/02 08:34:19  qboosh
- simplified

Revision 1.56  2002/03/22 15:18:26  ankry
- avoid control chars in spec

Revision 1.55  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.54  2002/03/04 22:42:45  marcus
- use new macros (ver-rel)
- rel.11

Revision 1.53  2002/02/26 22:47:02  qboosh
- use requires_releq_kernel_{up,smp} macros, release 10

Revision 1.52  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/02/15 22:38:00  qboosh
- release 9: marked config files with verify tags

Revision 1.49  2002/02/11 01:20:03  kloczek
- adapterized.

Revision 1.48  2002/02/10 19:18:59  marcus
- rel. 8. (for build with 2.2.20-10 and 2.4)

Revision 1.47  2002/02/04 10:52:25  juandon
- seldom used utilities moved to dosemu-utils.
- Release 7.

Revision 1.46  2002/02/03 14:46:44  qboosh
- xdosemu now contains complete X11-aware dosemu equivalent (Obsoletes added)
- release 6

Revision 1.45  2002/01/28 20:24:35  saq
- don't Obsolete xdosemu, it still exists

Revision 1.44  2002/01/28 01:07:34  kloczek
- release 5.

Revision 1.43  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.42  2002/01/18 22:51:49  kloczek
- release 4.

Revision 1.41  2002/01/18 22:19:36  qboosh
- fixed kernel-smp-net-dosnet release

Revision 1.40  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/17 19:27:00  kloczek
- removed commented justroot patch,
- more merges translations from Conectiva.

Revision 1.38  2002/01/17 16:52:15  juandon
- fixed URL for official patch

Revision 1.37  2002/01/17 16:50:49  juandon
- added perl to BuildRequires
- added official patch
- added Polish keyboard patch
- commented justroot_patch
- dosnet SMP ready
- STBR

Revision 1.36  2002/01/16 11:57:04  filon
- added setting HELPPATH in autoexec.bat, help works now
- release 3

Revision 1.35  2001/12/25 15:55:38  qboosh
- xdosemu package with X-enabled dosemu version is back
  (but moved xdos to /usr/X11R6/bin)

Revision 1.34  2001/12/25 13:33:11  qboosh
- standarized dosnet subpackage (kernel-net-dosnet now)
- justroot, security and updated make-new patches are back
- changed dosemu_conf patch: disabled raw keyboard and console/graphics video
  (default configuration should be safe; these options are not)
- fixed conditional BuildRequires
- NFY (TODO: separate dosemu version without XFree86)

Revision 1.33  2001/12/22 13:43:44  juandon
- added info at top

Revision 1.32  2001/12/22 13:32:06  juandon
- added conditional build: --with static
- by default binaries are linked dynamically
- xdos is link now (xdos->dos)
- no more xdosemu package
- Release 2

Revision 1.31  2001/12/19 17:31:04  juandon
- removed some commented lines
- removed description of freedos (we have full freedos in separate packages)
- package dosemu-dosnet with kernel module dosnet.o
- STBR and STB all dosemu-freedos-*

Revision 1.30  2001/12/19 05:03:38  kloczek
- removed commented patches,
- merge translations from Conectiva.

Revision 1.29  2001/12/19 00:28:47  saq
- added dirs %%{_dosemudir}/bootdir{,/dosemu,/freedos} to %%files

Revision 1.28  2001/12/17 11:15:35  juandon
- added Prereq: /sbin/depmod

Revision 1.27  2001/12/17 08:42:25  juandon
- fixed autoexec.bat

Revision 1.26  2001/12/16 17:13:58  juandon
- upgraded to dosemu-1.0.2
- spec rewritten
- all files on native Linux filesystem
- vga.pcf moved to XFree86-fonts to avoid conflict with bochs
- upgraded to fresh freedos kernel
- freedos split into separate packages (in separate .spec-s)
- enabled vnet
- dosemu drivers (cdrom.sys etc) taken from previous dosemu
- all binaries link statically
- no suid
- added files keybpl.exe and egapl.exe useful for Poles
- by default H: is lredir-ed to directory=DOSDIR, where DOSDIR is Unix envar
- TODO: English manuals (names differ, so I don't include them into package)

Revision 1.25  2001/12/02 16:44:31  qrczak
- Regenerate base-configure (vanilla script uses grep A-Z which doesn't work).
- dosemu-cpp_macros.patch: fix two problems related to cpp.
- Release 6.
- But dosemu doesn't work at all for me anyway (SIGSEGV when using DPMI
  and other crashes).

Revision 1.24  2001/12/02 14:13:04  saq
- mark the config files (noreplace)
- change Requires mtools >= 3.6 to Conflicts mtools > 3.6 (isn't needed)
- release 5, STBR

Revision 1.23  2001/11/12 17:07:40  qboosh
- fixed %%postun freedos

Revision 1.22  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.21  2001/11/04 23:02:35  ankry
- removed man section from existing .so man pointers
- added missing dosexec.1 .so man pointer
- added pl man pages
- release 4

Revision 1.20  2001/07/20 20:37:07  migo
- added pl summary and/or description

Revision 1.19  2001/07/17 11:24:38  zagrodzki
- rel. 3
- added time patch

Revision 1.18  2001/04/06 23:25:03  kloczek
- release 2,
- few cosmetics.

Revision 1.17  2001/03/21 20:40:23  saq
- BuildRequires: bison, flex

Revision 1.16  2001/01/17 11:47:02  kloczek
- put pcf vga font in proper place (all fonts are installed in
  /usr/share/fonts),
- added gzipping font file.

Revision 1.15  2001/01/17 00:26:34  qboosh
- use %%{SOURCEn} macros
- added ChangeLog* and COPYING (GPL+additional section!) to %%doc
- BuildRequires: unzip

Revision 1.14  2000/12/18 11:01:05  qboosh
- Requires: kernel >= 2.0.28 -> Conflicts: kernel < 2.0.28

Revision 1.13  2000/10/29 09:50:03  kloczek
- added bin86 to BuildRequires.

Revision 1.12  2000/10/29 07:53:36  kloczek
- use new rpm automation and also spec adaptetrized,
- merge old BeroLinux de, fr, tr translations.

Revision 1.11  2000/09/13 20:19:15  mkochano
- Cosmetics and typos corrections in descriptions.

Revision 1.10  2000/08/22 09:48:47  zagrodzki
- adapterized

Revision 1.9  2000/08/20 16:34:09  tiwek
updated to 1.0.1

Revision 1.9  2000/08/17 07:22:49  tiwek
- release++

Revision 1.8  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.6  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  1999/12/02 02:31:28  kloczek
- fixed Source url,
- cuted %%changelog.

Revision 1.2  1999/11/02 13:24:36  baggins
- updated to 0.99.13
- spec based on rawhide

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw
